Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8247 - /bin/login possibly printing null string in syslog
Summary: /bin/login possibly printing null string in syslog
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-06 23:37 UTC by Viraj Alankar
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 21:43:27 UTC


Attachments (Terms of Use)

Description Viraj Alankar 2000-01-06 23:37:40 UTC
I noticed the following message from syslog:

Jan  6 16:34:20 myserver login: FAILED LOGIN SESSION FROM
xxx.edu FOR (null), Error in service module

The '(null)' looks suspiciously to be a printout of a null string.

Comment 1 Viraj Alankar 2000-01-23 20:56:59 UTC
This also appears to happen with RH 6.1:

Jan 17 11:02:22 mikrosopht PAM_pwdb[2396]: authentication failure; LOGIN(uid=0)
-> valankar for login service
Jan 17 11:02:23 mikrosopht login[2396]: FAILED LOGIN 1 FROM (null) FOR valankar,
Authentication failure
Jan 17 11:02:26 mikrosopht PAM_pwdb[2396]: (login) session opened for user
valankar by LOGIN(uid=0)

Comment 2 Elliot Lee 2000-02-03 21:43:59 UTC
This is normal behaviour when logging in from a local terminal. It is a NULL
pointer and that's perfectly OK with printf...


Note You need to log in before you can comment on or make changes to this bug.